#!/bin/sh

if ( ./main.native $1 &> /dev/null ) ; then
  true
else
  echo "UNKNOWN"
  exit
fi

if ( ./summ2q $1.armc > $1.qarmc 2> /dev/null ) ; then
  true
else
  echo "UNKNOWN"
  exit
fi

STR=`./qarmc -horn-core-simplify -nopredpc -compute-core $1.qarmc 2> /dev/null`
if ( echo "$STR" | grep -q "Q'ARMC: program is correct" ) ; then
  echo "SAFE"
elif ( echo "$STR" | grep -q "Q'ARMC: program is not correct" ) ; then
  echo "UNSAFE"
else
  echo "UNKNOWN"
fi
